searchData={"items":[{"type":"module","title":"Islands.Text.Client","doc":"Text client for the _Game of Islands_.\n\n###","ref":"Islands.Text.Client.html"},{"type":"module","title":"Inspired by the book [Functional Web Development](https://pragprog.com/titles/lhelph/functional-web-development-with-elixir-otp-and-phoenix/) by Lance Halvorsen. - Islands.Text.Client","doc":"###","ref":"Islands.Text.Client.html#module-inspired-by-the-book-functional-web-development-https-pragprog-com-titles-lhelph-functional-web-development-with-elixir-otp-and-phoenix-by-lance-halvorsen"},{"type":"module","title":"Also inspired by the course [Elixir for Programmers](https://codestool.coding-gnome.com/courses/elixir-for-programmers) by Dave Thomas. - Islands.Text.Client","doc":"","ref":"Islands.Text.Client.html#module-also-inspired-by-the-course-elixir-for-programmers-https-codestool-coding-gnome-com-courses-elixir-for-programmers-by-dave-thomas"},{"type":"function","title":"Islands.Text.Client.engine_node/0","doc":"Returns the islands engine node.","ref":"Islands.Text.Client.html#engine_node/0"},{"type":"function","title":"Examples - Islands.Text.Client.engine_node/0","doc":"iex> alias Islands.Text.Client\n    iex> engine_node = Client.engine_node()\n    iex> \"#{engine_node}\" =~ \"islands_engine@\"\n    true","ref":"Islands.Text.Client.html#engine_node/0-examples"},{"type":"function","title":"Islands.Text.Client.join/4","doc":"Lets player2 join a game on a remote node.\n\n#","ref":"Islands.Text.Client.html#join/4"},{"type":"function","title":"Short names - Islands.Text.Client.join/4","doc":"Player2 joins a game from a different node with a short name:\n\n```\ncd islands_text_client\nset \"MIX_ENV=dev\" && iex --sname client2 -S mix\nIslands.Text.Client.join(\"Eden\", \"Eve\", :f)\n```\n\n#","ref":"Islands.Text.Client.html#join/4-short-names"},{"type":"function","title":"Long names - Islands.Text.Client.join/4","doc":"Player2 joins a game from a different node with a long name:\n\n```\ncd islands_text_client\nset \"MIX_ENV=prod\" iex --name client2@rays.supratech.ca -S mix\nIslands.Text.Client.join(\"Eden\", \"Eve\", :f)\n```","ref":"Islands.Text.Client.html#join/4-long-names"},{"type":"function","title":"Parameters - Islands.Text.Client.join/4","doc":"- `game_name`    - game name (string)\n  - `player2_name` - player2 name (string)\n  - `gender`       - gender as either `:f` or `:m` (atom)\n  - `options`      - up to 2 options (keyword)","ref":"Islands.Text.Client.html#join/4-parameters"},{"type":"function","title":"Options - Islands.Text.Client.join/4","doc":"- `:mode` - (`:manual` or `:auto`) specifies whether player2 will play\n  in manual or auto mode; defaults to `:manual`.\n  - `:pause` - (nonnegative integer) specifies the duration in milliseconds\n  of the pause between moves in auto mode (should be between 0 and 10,000);\n  defaults to `0` milliseconds.","ref":"Islands.Text.Client.html#join/4-options"},{"type":"function","title":"Islands.Text.Client.start/4","doc":"Lets player1 start a game on a remote node.\n\nApp `:islands_engine` must run on node `:islands_engine@ ` where\n` ` is either the full host name if long names are used, or the first\npart of the full host name if short names are used.\n\n#","ref":"Islands.Text.Client.html#start/4"},{"type":"function","title":"Short names - Islands.Text.Client.start/4","doc":"Start the engine using a short name:\n\n```\ncd islands_engine\niex --sname islands_engine -S mix\n:observer.start # optional\n```\n\nPlayer1 starts a game from a different node with a short name:\n\n```\ncd islands_text_client\nset \"MIX_ENV=dev\" && iex --sname client1 -S mix\nIslands.Text.Client.start(\"Eden\", \"Adam\", :m)\n```\n\n#","ref":"Islands.Text.Client.html#start/4-short-names"},{"type":"function","title":"Long names - Islands.Text.Client.start/4","doc":"Start the engine using a long name:\n\n```\ncd islands_engine\niex --name islands_engine@rays.supratech.ca -S mix\n:observer.start # optional\n```\n\nPlayer1 starts a game from a different node with a long name:\n\n```\ncd islands_text_client\nset \"MIX_ENV=prod\" && iex --name client1@rays.supratech.ca -S mix\nIslands.Text.Client.start(\"Eden\", \"Adam\", :m)\n```","ref":"Islands.Text.Client.html#start/4-long-names"},{"type":"function","title":"Parameters - Islands.Text.Client.start/4","doc":"- `game_name`    - game name (string)\n  - `player1_name` - player1 name (string)\n  - `gender`       - gender as either `:f` or `:m` (atom)\n  - `options`      - up to 2 options (keyword)","ref":"Islands.Text.Client.html#start/4-parameters"},{"type":"function","title":"Options - Islands.Text.Client.start/4","doc":"- `:mode` - (`:manual` or `:auto`) specifies whether player1 will play\n  in manual or auto mode; defaults to `:manual`.\n  - `:pause` - (nonnegative integer) specifies the duration in milliseconds\n  of the pause between moves in auto mode (should be between 0 and 10,000);\n  defaults to `0` milliseconds.","ref":"Islands.Text.Client.html#start/4-options"},{"type":"module","title":"Islands.Text.Client.Guard","doc":"Defines a guard to start/join the _Game of Islands_.","ref":"Islands.Text.Client.Guard.html"},{"type":"macro","title":"Islands.Text.Client.Guard.valid?/4","doc":"","ref":"Islands.Text.Client.Guard.html#valid?/4"},{"type":"module","title":"Islands.Text.Client.Joiner","doc":"Lets player2 join a game.","ref":"Islands.Text.Client.Joiner.html"},{"type":"function","title":"Islands.Text.Client.Joiner.join/4","doc":"Lets player2 join a game on a remote node.","ref":"Islands.Text.Client.Joiner.html#join/4"},{"type":"module","title":"Islands.Text.Client.Starter","doc":"Lets player1 start a game.","ref":"Islands.Text.Client.Starter.html"},{"type":"function","title":"Islands.Text.Client.Starter.start/4","doc":"Lets player1 start a game on a remote node.","ref":"Islands.Text.Client.Starter.html#start/4"}],"content_type":"text/markdown"}